<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-8">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container">
            <div class="row">
                <div class="col-6 offset-3">
                    <form th:object="${user}" th:method="put">
                        <div class="form-group">
                            <label th:text="#{user.header.password}" class="col-form-label col-form-label-lg">New Password:</label>
                            <input type="text" class="form-control" id="pass" name="password"/>
                        </div>
                        <input type="submit" class="btn btn-primary" value="Save">
                    </form>
                </div>
            </div>
        </div>
    </body>
</html>